#ifndef MCOLLAREATRIGGER_H
#define MCOLLAREATRIGGER_H

#ifndef MTASK_H
#include "MTask.h"
#endif

class MParList;
class MMcEvt ; 
class MMcTrig ; 
class MCollArea;

class MCollAreaTrigger : public MTask {
 private:
  MMcEvt          *fMcEvt    ; //!
  MMcTrig         *fMcTrig   ; //!
  MCollArea       *fCollArea ; //!

 public:   
  MCollAreaTrigger (const char *name=NULL, const char *title=NULL); 

  Bool_t PreProcess(MParList *pList);
  Bool_t Process() ;
  Bool_t PostProcess() ;
  
  ClassDef(MCollAreaTrigger, 0)	// Task to fill the collection area histograms

};

#endif 

